## kalarm 18.12.3

=== debian/changelog ===
kalarm (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:47 +0100

kalarm (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:29 +0000

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicalendar-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5akonadiserver-dev (>= 4:18.12.3~),
               libkf5alarmcalendar-dev (>= 4:18.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5calendarutils-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 18.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5mailcommon-dev (>= 4:18.12.3~),
               libkf5mailtransport-dev (>= 18.12.3~),
               libkf5messagecomposer-dev (>= 4:18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5mimetreeparser-dev (>= 4:18.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:18.12.3~),
               libkf5pimtextedit-dev (>= 18.12.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:18.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:18.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .

## kalarm 19.04.3

=== debian/changelog ===
kalarm (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -16,21 +16,21 @@
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicalendar-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
-               libkf5akonadiserver-dev (>= 4:18.12.3~),
-               libkf5alarmcalendar-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicalendar-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
+               libkf5akonadiserver-dev (>= 4:19.04.3~),
+               libkf5alarmcalendar-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
@@ -40,29 +40,29 @@
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:18.12.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:19.04.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mailcommon-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5messagecomposer-dev (>= 4:18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
-               libkf5mimetreeparser-dev (>= 4:18.12.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mailcommon-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5messagecomposer-dev (>= 4:19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
+               libkf5mimetreeparser-dev (>= 4:19.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:18.12.3~),
+               libkf5templateparser-dev (>= 4:19.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:18.12.3~),
+               libkf5webengineviewer-dev (>= 4:19.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## kalarm 19.08.3

=== debian/changelog ===
kalarm (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:02 +0100

kalarm (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:31 +0100

kalarm (4:18.08.3-4) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:55:00 +0100

kalarm (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add akonadi-server and kdepim-runtime as dependency. (Closes: #941481)

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Oct 2019 19:34:29 +0200

kalarm (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:14 +0200

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5alarmcalendar-dev (>= 4:19.08.3~),
               libkf5auth-dev (>= 5.60.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5globalaccel-dev (>= 5.60.0~),
               libkf5guiaddons-dev (>= 5.60.0~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5imap-dev (>= 19.08.3~),
               libkf5jobwidgets-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kdelibs4support-dev (>= 5.60.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:19.08.3~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mailcommon-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5notifications-dev (>= 5.60.0~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5service-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5windowsystem-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libphonon4qt5-dev,
               libqt5x11extras5-dev (>= 5.7.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xsltproc
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git

Package: kalarm
Architecture: any
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.

## kalarm 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(KDEPIM_VERSION_NUMBER "5.13.3")
set(PIM_VERSION ${KDEPIM_VERSION_NUMBER})
set(KDE_APPLICATIONS_VERSION "19.12.3")
set(KALARM_VERSION "2.13.3")

project(kalarm VERSION ${KALARM_VERSION})
set(KALARM_FULL_VERSION "${KALARM_VERSION} (KDE Apps ${KDE_APPLICATIONS_VERSION})")

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
set(KIMAP_LIB_VERSION "5.13.3")
set(AKONADI_MIMELIB_VERSION "5.13.3")
set(AKONADI_CONTACT_VERSION "5.13.3")

set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
set(AKONADI_VERSION "5.13.3")
set(KMIME_LIB_VERSION "5.13.3")
set(AKONADIKALARM_LIB_VERSION "5.13.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.13.3")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.11.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
find_package(Qt5X11Extras NO_MODULE)
set(MAILCOMMON_LIB_VERSION_LIB "5.13.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.13.3")
set(KCALENDARCORE_LIB_VERSION "5.13.3")
set(CALENDARUTILS_LIB_VERSION "5.13.3")
set(KDEPIM_APPS_LIB_VERSION_LIB "5.13.3")

# Find KF5 package
find_package(KF5Auth ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KdepimDBusInterfaces ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
configure_file(kalarm-version-string.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kalarm-version-string.h @ONLY)

if (NOT APPLE)
    find_package(X11)
endif()
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")
set(KDEPIM_HAVE_X11 ${X11_FOUND})
configure_file(src/config-kalarm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kalarm.h )

include_directories(${kalarm_SOURCE_DIR} ${kalarm_BINARY_DIR})

add_definitions(-DQT_MESSAGELOGCONTEXT)
add_definitions(-DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()



add_subdirectory(src)

install(FILES kalarm.renamecategories kalarm.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kalarm (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:15 +0100

kalarm (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Runtime depends on akonadi-server and kdepim-runtime.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Mar 2020 09:29:01 +0000

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicalendar-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5akonadiserver-dev (>= 4:19.12.3~),
               libkf5alarmcalendar-dev (>= 4:19.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mailcommon-dev (>= 4:19.12.3~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5messagecomposer-dev (>= 4:19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5mimetreeparser-dev (>= 4:19.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:19.12.3~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:19.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:19.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm

Package: kalarm
Architecture: any
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .

## kalarm 20.08.1

=== debian/changelog ===
kalarm (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:59 +0100

kalarm (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop depreciated kdepimdbusinterfaces build dep.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:40 +0100

=== debian/control ===
--- 
+++ 
@@ -16,20 +16,20 @@
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicalendar-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
-               libkf5akonadiserver-dev (>= 4:19.12.3~),
-               libkf5alarmcalendar-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicalendar-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadiserver-dev (>= 4:20.08.1~),
+               libkf5alarmcalendar-dev (>= 4:20.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -40,29 +40,28 @@
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mailcommon-dev (>= 4:19.12.3~),
-               libkf5mailtransport-dev (>= 19.12.3~),
-               libkf5messagecomposer-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
-               libkf5mimetreeparser-dev (>= 4:19.12.3~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mailcommon-dev (>= 4:20.08.1~),
+               libkf5mailtransport-dev (>= 20.08.1~),
+               libkf5messagecomposer-dev (>= 4:20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkf5mimetreeparser-dev (>= 4:20.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
-               libkf5pimtextedit-dev (>= 19.12.3~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
+               libkf5pimtextedit-dev (>= 20.08.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:19.12.3~),
+               libkf5templateparser-dev (>= 4:20.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:19.12.3~),
+               libkf5webengineviewer-dev (>= 4:20.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
